.TH wxSizer 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSizer \- See external documentation: wxSizer\&.
.SH DESCRIPTION
.LP
See external documentation: wxSizer <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSizer()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
add(This::wxSizer(), Window::wxWindow() (see module wxWindow) | wxSizer()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
Equivalent to add(This, Window, [])\&.
.RE
.LP
.B
add(This::wxSizer(), X::integer() | term(), X::integer() | term()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizeradd>\&. 
.br
 Alternatives: 
.LP
\fI add(This::wxSizer(), Width::integer(), Height::integer()) -> add(This, Width, Height, []) \fR
.LP
\fI add(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer(), [Option]) -> wxSizerItem:wxSizerItem() \fR 
.br
 Option = {proportion, integer()} | {flag, integer()} | {border, integer()} | {userData, wx:wx()} 
.LP
\fI add(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer(), Flags::wxSizerFlags:wxSizerFlags()) -> wxSizerItem:wxSizerItem() \fR 
.RE
.LP
.B
add(This::wxSizer(), Width::integer(), Height::integer(), Options::[Option]) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.TP
Types
Option = {proportion, integer()} | {flag, integer()} | {border, integer()} | {userData, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizeradd>\&.
.RE
.LP
.B
addSpacer(This::wxSizer(), Size::integer()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizeraddspacer>\&.
.RE
.LP
.B
addStretchSpacer(This::wxSizer()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
Equivalent to addStretchSpacer(This, [])\&.
.RE
.LP
.B
addStretchSpacer(This::wxSizer(), Options::[Option]) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.TP
Types
Option = {prop, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizeraddstretchspacer>\&.
.RE
.LP
.B
calcMin(This::wxSizer()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizercalcmin>\&.
.RE
.LP
.B
clear(This::wxSizer()) -> ok
.br
.RS
.LP
Equivalent to clear(This, [])\&.
.RE
.LP
.B
clear(This::wxSizer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {delete_windows, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerclear>\&.
.RE
.LP
.B
detach(This::wxSizer(), X::integer() | term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerdetach>\&. 
.br
 Alternatives: 
.LP
\fI detach(This::wxSizer(), Index::integer()) -> bool() \fR 
.LP
\fI detach(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer()) -> bool() \fR 
.RE
.LP
.B
fit(This::wxSizer(), Window::wxWindow() (see module wxWindow)) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerfit>\&.
.RE
.LP
.B
fitInside(This::wxSizer(), Window::wxWindow() (see module wxWindow)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerfitinside>\&.
.RE
.LP
.B
getChildren(This::wxSizer()) -> [wxSizerItem() (see module wxSizerItem)]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizergetchildren>\&.
.RE
.LP
.B
getItem(This::wxSizer(), X::term() | integer()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizergetitem>\&. 
.br
 Alternatives: 
.LP
\fI getItem(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer()) -> getItem(This, Window, []) \fR
.LP
\fI getItem(This::wxSizer(), Index::integer()) -> wxSizerItem:wxSizerItem() \fR 
.RE
.LP
.B
getItem(This::wxSizer(), Window::wxWindow() (see module wxWindow) | wxSizer(), Options::[Option]) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.TP
Types
Option = {recursive, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizergetitem>\&.
.RE
.LP
.B
getSize(This::wxSizer()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizergetsize>\&.
.RE
.LP
.B
getPosition(This::wxSizer()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizergetposition>\&.
.RE
.LP
.B
getMinSize(This::wxSizer()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizergetminsize>\&.
.RE
.LP
.B
hide(This::wxSizer(), X::term() | integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerhide>\&. 
.br
 Alternatives: 
.LP
\fI hide(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer()) -> hide(This, Window, []) \fR
.LP
\fI hide(This::wxSizer(), Index::integer()) -> bool() \fR 
.RE
.LP
.B
hide(This::wxSizer(), Window::wxWindow() (see module wxWindow) | wxSizer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {recursive, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerhide>\&.
.RE
.LP
.B
insert(This::wxSizer(), Index::integer(), X::term()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerinsert>\&. 
.br
 Alternatives: 
.LP
\fI insert(This::wxSizer(), Index::integer(), Window::wxWindow:wxWindow() | wxSizer()) -> insert(This, Index, Window, []) \fR
.LP
\fI insert(This::wxSizer(), Index::integer(), Item::wxSizerItem:wxSizerItem()) -> wxSizerItem:wxSizerItem() \fR 
.RE
.LP
.B
insert(This::wxSizer(), Index::integer(), X::integer() | term(), X::integer() | term()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerinsert>\&. 
.br
 Alternatives: 
.LP
\fI insert(This::wxSizer(), Index::integer(), Width::integer(), Height::integer()) -> insert(This, Index, Width, Height, []) \fR
.LP
\fI insert(This::wxSizer(), Index::integer(), Window::wxWindow:wxWindow() | wxSizer(), [Option]) -> wxSizerItem:wxSizerItem() \fR 
.br
 Option = {proportion, integer()} | {flag, integer()} | {border, integer()} | {userData, wx:wx()} 
.LP
\fI insert(This::wxSizer(), Index::integer(), Window::wxWindow:wxWindow() | wxSizer(), Flags::wxSizerFlags:wxSizerFlags()) -> wxSizerItem:wxSizerItem() \fR 
.RE
.LP
.B
insert(This::wxSizer(), Index::integer(), Width::integer(), Height::integer(), Options::[Option]) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.TP
Types
Option = {proportion, integer()} | {flag, integer()} | {border, integer()} | {userData, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerinsert>\&.
.RE
.LP
.B
insertSpacer(This::wxSizer(), Index::integer(), Size::integer()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerinsertspacer>\&.
.RE
.LP
.B
insertStretchSpacer(This::wxSizer(), Index::integer()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
Equivalent to insertStretchSpacer(This, Index, [])\&.
.RE
.LP
.B
insertStretchSpacer(This::wxSizer(), Index::integer(), Options::[Option]) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.TP
Types
Option = {prop, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerinsertstretchspacer>\&.
.RE
.LP
.B
isShown(This::wxSizer(), X::integer() | term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerisshown>\&. 
.br
 Alternatives: 
.LP
\fI isShown(This::wxSizer(), Index::integer()) -> bool() \fR 
.LP
\fI isShown(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer()) -> bool() \fR 
.RE
.LP
.B
layout(This::wxSizer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerlayout>\&.
.RE
.LP
.B
prepend(This::wxSizer(), X::term()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerprepend>\&. 
.br
 Alternatives: 
.LP
\fI prepend(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer()) -> prepend(This, Window, []) \fR
.LP
\fI prepend(This::wxSizer(), Item::wxSizerItem:wxSizerItem()) -> wxSizerItem:wxSizerItem() \fR 
.RE
.LP
.B
prepend(This::wxSizer(), X::integer() | term(), X::integer() | term()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerprepend>\&. 
.br
 Alternatives: 
.LP
\fI prepend(This::wxSizer(), Width::integer(), Height::integer()) -> prepend(This, Width, Height, []) \fR
.LP
\fI prepend(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer(), [Option]) -> wxSizerItem:wxSizerItem() \fR 
.br
 Option = {proportion, integer()} | {flag, integer()} | {border, integer()} | {userData, wx:wx()} 
.LP
\fI prepend(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer(), Flags::wxSizerFlags:wxSizerFlags()) -> wxSizerItem:wxSizerItem() \fR 
.RE
.LP
.B
prepend(This::wxSizer(), Width::integer(), Height::integer(), Options::[Option]) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.TP
Types
Option = {proportion, integer()} | {flag, integer()} | {border, integer()} | {userData, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerprepend>\&.
.RE
.LP
.B
prependSpacer(This::wxSizer(), Size::integer()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerprependspacer>\&.
.RE
.LP
.B
prependStretchSpacer(This::wxSizer()) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.LP
Equivalent to prependStretchSpacer(This, [])\&.
.RE
.LP
.B
prependStretchSpacer(This::wxSizer(), Options::[Option]) -> wxSizerItem() (see module wxSizerItem)
.br
.RS
.TP
Types
Option = {prop, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerprependstretchspacer>\&.
.RE
.LP
.B
recalcSizes(This::wxSizer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerrecalcsizes>\&.
.RE
.LP
.B
remove(This::wxSizer(), X::integer() | wxSizer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerremove>\&. 
.br
 Alternatives: 
.LP
\fI remove(This::wxSizer(), Index::integer()) -> bool() \fR 
.LP
\fI remove(This::wxSizer(), Sizer::wxSizer()) -> bool() \fR 
.RE
.LP
.B
replace(This::wxSizer(), X::term() | integer(), X::term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerreplace>\&. 
.br
 Alternatives: 
.LP
\fI replace(This::wxSizer(), Oldwin::wxWindow:wxWindow() | wxSizer(), Newwin::wxWindow:wxWindow() | wxSizer()) -> replace(This, Oldwin, Newwin, []) \fR
.LP
\fI replace(This::wxSizer(), Index::integer(), Newitem::wxSizerItem:wxSizerItem()) -> bool() \fR 
.RE
.LP
.B
replace(This::wxSizer(), Oldwin::wxWindow() (see module wxWindow) | wxSizer(), Newwin::wxWindow() (see module wxWindow) | wxSizer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {recursive, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizerreplace>\&.
.RE
.LP
.B
setDimension(This::wxSizer(), X::integer(), Y::integer(), Width::integer(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizersetdimension>\&.
.RE
.LP
.B
setMinSize(This::wxSizer(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizersetminsize>\&.
.RE
.LP
.B
setMinSize(This::wxSizer(), Width::integer(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizersetminsize>\&.
.RE
.LP
.B
setItemMinSize(This::wxSizer(), X::integer() | term(), Size::{W::integer(), H::integer()}) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizersetitemminsize>\&. 
.br
 Alternatives: 
.LP
\fI setItemMinSize(This::wxSizer(), Index::integer(), Size::{W::integer(), H::integer()}) -> bool() \fR 
.LP
\fI setItemMinSize(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer(), Size::{W::integer(), H::integer()}) -> bool() \fR 
.RE
.LP
.B
setItemMinSize(This::wxSizer(), X::integer() | term(), Width::integer(), Height::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizersetitemminsize>\&. 
.br
 Alternatives: 
.LP
\fI setItemMinSize(This::wxSizer(), Index::integer(), Width::integer(), Height::integer()) -> bool() \fR 
.LP
\fI setItemMinSize(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer(), Width::integer(), Height::integer()) -> bool() \fR 
.RE
.LP
.B
setSizeHints(This::wxSizer(), Window::wxWindow() (see module wxWindow)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizersetsizehints>\&.
.RE
.LP
.B
setVirtualSizeHints(This::wxSizer(), Window::wxWindow() (see module wxWindow)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizersetvirtualsizehints>\&.
.RE
.LP
.B
show(This::wxSizer(), X::integer() | term() | bool()) -> bool() | bool() | ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizershow>\&. 
.br
 Alternatives: 
.LP
\fI show(This::wxSizer(), Index::integer()) -> show(This, Index, []) \fR
.LP
\fI show(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer()) -> show(This, Window, []) \fR
.LP
\fI show(This::wxSizer(), Show::bool()) -> ok \fR 
.RE
.LP
.B
show(This::wxSizer(), X::integer() | term(), Options::[Option]) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizer\&.html#wxsizershow>\&. 
.br
 Alternatives: 
.LP
\fI show(This::wxSizer(), Index::integer(), [Option]) -> bool() \fR 
.br
 Option = {show, bool()} 
.LP
\fI show(This::wxSizer(), Window::wxWindow:wxWindow() | wxSizer(), [Option]) -> bool() \fR 
.br
 Option = {show, bool()} | {recursive, bool()} 
.RE
